Subject: bug#47533: bug in dejagnu 1.6.3-rc2

From: Tom Tromey <[email-masked]>
Date: Wed, 31 Mar 2021 14:37:16 -0600

I tried dejagnu 1.6.3-rc2.  I ran "runtest" on a subset of the gdb test
suite, and this worked well.  Thank you.

I tried the new "dejagnu" command but noticed two things.

First in --help:

Usage: dejagnu <command> [--help|options...]
Usage: dejagnu --help
Usage: dejagnu --version
        --help			Print help text
        --version		Print DejaGnu version

The GNU norm is to use upper-case for "metasyntactic variables", so
normally it would say "dejagnu COMMAND [...]"

Second, either --help or running it without options should probably show
the available commands.

Third, the use of tabs in the output makes it a bit weird to quote.

thanks,
Tom